[package]
name = "apographe"
version = "0.1.0"
description = "A Tauri App"
authors = ["you"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "apographe_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = ["protocol-asset", "unstable"] }
tauri-plugin-shell = "2"
tauri-plugin-dialog = "2"
tauri-plugin-fs = "2"
tauri-plugin-log = "2"

serde = { version = "1", features = ["derive"] }
serde_json = "1"

comrak = { version = "0.39.0", features = ["bon", "cli"], default-features = false }
shellexpand = "3"
html_tag = "0.1"
fuzzy-matcher = "0.3"
sqlx = { version = "0.8", features = ["runtime-tokio-native-tls", "sqlite"] }
confy = "0.6"
diff-match-patch-rs = "0.5"
rand = "0.9"
futures = "0.3"
# [profile.dev]
# codegen-backend = "cranelift"
